export function NodeRendererDefault({ scaffoldBlockPxWidth, toggleChildrenVisibility, connectDragPreview, connectDragSource, isDragging, canDrop, canDrag, node, title, subtitle, draggedNode, path, treeIndex, isSearchMatch, isSearchFocus, buttons, className, style, didDrop, treeId, isOver, parentNode, rowDirection, ...otherProps }: {
    [x: string]: any;
    scaffoldBlockPxWidth: any;
    toggleChildrenVisibility?: any;
    connectDragPreview: any;
    connectDragSource: any;
    isDragging: any;
    canDrop?: boolean;
    canDrag?: boolean;
    node: any;
    title?: any;
    subtitle?: any;
    draggedNode?: any;
    path: any;
    treeIndex: any;
    isSearchMatch?: boolean;
    isSearchFocus?: boolean;
    buttons?: any[];
    className?: string;
    style?: {};
    didDrop: any;
    treeId: any;
    isOver: any;
    parentNode?: any;
    rowDirection?: string;
}): React.JSX.Element;
export namespace NodeRendererDefault {
    namespace propTypes {
        let node: PropTypes.Validator<NonNullable<PropTypes.InferProps<{}>>>;
        let title: PropTypes.Requireable<NonNullable<PropTypes.ReactNodeLike | ((...args: any[]) => any)>>;
        let subtitle: PropTypes.Requireable<NonNullable<PropTypes.ReactNodeLike | ((...args: any[]) => any)>>;
        let path: PropTypes.Validator<NonNullable<string | number>[]>;
        let treeIndex: PropTypes.Validator<number>;
        let treeId: PropTypes.Validator<string>;
        let isSearchMatch: PropTypes.Requireable<boolean>;
        let isSearchFocus: PropTypes.Requireable<boolean>;
        let canDrag: PropTypes.Requireable<boolean>;
        let scaffoldBlockPxWidth: PropTypes.Validator<number>;
        let toggleChildrenVisibility: PropTypes.Requireable<(...args: any[]) => any>;
        let buttons: PropTypes.Requireable<PropTypes.ReactNodeLike[]>;
        let className: PropTypes.Requireable<string>;
        let style: PropTypes.Requireable<PropTypes.InferProps<{}>>;
        let connectDragPreview: PropTypes.Validator<(...args: any[]) => any>;
        let connectDragSource: PropTypes.Validator<(...args: any[]) => any>;
        let parentNode: PropTypes.Requireable<PropTypes.InferProps<{}>>;
        let isDragging: PropTypes.Validator<boolean>;
        let didDrop: PropTypes.Validator<boolean>;
        let draggedNode: PropTypes.Requireable<PropTypes.InferProps<{}>>;
        let isOver: PropTypes.Validator<boolean>;
        let canDrop: PropTypes.Requireable<boolean>;
        let rowDirection: PropTypes.Requireable<string>;
    }
}
import React from 'react';
import PropTypes from 'prop-types';
